## exiv2 0.24

=== debian/changelog ===
exiv2 (0.24-4.1+deb8u5) jessie-security; urgency=medium

  * Non-maintainer upload by the LTS Security Team.
  * CVE-2019-17402: Corrupted or specially crafted CRW images might
    exceed the overall buffersize.

 -- Dylan Aïssi <daissi@debian.org>  Mon, 02 Dec 2019 22:07:45 +0100

exiv2 (0.24-4.1+deb8u4) jessie-security; urgency=high

  * CVE-2019-13504: Prevent an integer overflow vulnerability that could
    result in a denial of service via a specially-crafted file.

 -- Chris Lamb <lamby@debian.org>  Thu, 18 Jul 2019 16:36:58 -0300

exiv2 (0.24-4.1+deb8u3) jessie-security; urgency=high

  * Non-maintainer upload by the LTS Team. 
  * CVE-2018-17581
    A stack overflow due to a recursive function call causing excessive
    stack consumption which leads to Denial of service.
  * CVE-2018-19107
    A heap based buffer over-read caused by an integer overflow could
    result in a denial of service via a crafted file.
  * CVE-2018-19108
    There seems to be an infinite loop inside a function that can be
    activated by a crafted image.
  * CVE-2018-19535
    A heap based buffer over-read caused could result in a denial of
    service via a crafted file.
  * CVE-2018-20097
    A crafted image could result in a denial of service.
 
 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 26 Feb 2019 19:03:02 +0100

exiv2 (0.24-4.1+deb8u2) jessie-security; urgency=high

  * Non-maintainer upload by the LTS Security Team.
  * Minor adjustment to the patch for CVE-2018-10958 and CVE-2018-10999.  The
    initial patch was overly restrictive in counting PNG image chunks.
  * CVE-2018-16336: remote denial of service (heap-based buffer over-read) via
    a crafted image file.

 -- Roberto C. Sanchez <roberto@debian.org>  Sat, 20 Oct 2018 22:48:53 -0400

exiv2 (0.24-4.1+deb8u1) jessie-security; urgency=high

  * Non-maintainer upload by the LTS Security Team.
  * CVE-2018-10958: denial of service through memory exhaustion and
    application crash by a crafted PNG image.
  * CVE-2018-10999: a heap-based buffer over-read via a crafted PNG image.
  * CVE-2018-10998: denial of service through memory exhaustion and
    application crash by a crafted image.
  * CVE-2018-11531: a heap-based buffer overflow and application crash by a
    crafted image.
  * CVE-2018-12264: integer overflow leading to out of bounds read by a
    crafted image. (Closes: #901707)
  * CVE-2018-12265: integer overflow leading to out of bounds read by a
    crafted image. (Closes: #901706)

 -- Roberto C. Sanchez <roberto@debian.org>  Wed, 27 Jun 2018 08:09:34 -0400

exiv2 (0.24-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add CVE-2014-9449.patch patch.
    CVE-2014-9449: buffer overflow in RiffVideo::infoTagsHandler
    Thanks to Klaus Ethgen <Klaus@Ethgen.de> (Closes: #773846)

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 07 Jan 2015 20:25:48 +0100

exiv2 (0.24-4) unstable; urgency=medium

  * Team upload.
  * Upload to unstable. (See #732957)
  * Re-add the pkg-config dependency in libexiv2-dev, as there is still one
    source relying on it.

 -- Pino Toscano <pino@debian.org>  Fri, 05 Sep 2014 23:22:40 +0200

exiv2 (0.24-3) experimental; urgency=medium

  * Team upload.
  * Integrate 0.23-1.1 NMU (thanks Wookey).
  * Move the libjs-jquery, doxygen, graphviz build dependencies as
    Build-Depend-Indep, as they are needed in indep-build only.
  * Update libtool files for ppc64el. (Closes: #757412)

 -- Pino Toscano <pino@debian.org>  Thu, 28 Aug 2014 23:00:16 +0200

exiv2 (0.24-2) experimental; urgency=low

  * Team upload.
  * Update Vcs-* headers.
  * Fix the replacement of the doxygen-generated jquery.js with a symlink to
    the system copy:
    - properly replace any version with a symlink
    - remove usage of dh-linktree: drop libexiv2-doc.linktrees and the
      dh-linktree build dependency
    - make libexiv2-doc depend on libjs-jquery
  * Improve the .install files:
    - use exiv2.install to install the exiv2.1 man page
    - make them a bit more explicit
    - remove the "debian/tmp/" prefix from the installed files
    - sort them
  * Remove the libtool .la file instead of installing it; dependencies have to
    be rebuilt for the SONAME bump anyway, so there is no risk for breakages.
  * Remove the doxygen-generated *.map and *.md5 files from the -doc package.
  * Add a lintian override in libexiv2-doc for the duplicated files
    (image graphs, basically) generated by doxygen.
  * Bump to the debhelper compatibility 9:
    - bump compat to 9
    - bump the debhelper build dependency to >= 9~
    - stop manually specifying the build flags, they are handled automatically
    - adjust the library paths in .install files and rules to the multiarch
      paths
    - add Pre-Depends: ${misc:Pre-Depends} in libexiv2-13
  * Mark libexiv2-13 and libexiv2-dbg as Multi-Arch: same.
  * Tighten the exiv2 dependency on the same version of the libexiv2 library.
  * Remove the extra "samples" subdirectory for the examples in libexiv2-dev.
  * Bump Standards-Version to 3.9.5, no changes required.
  * Do not compress .cpp files (found in examples).
  * libexiv2-dev: stop depending on pkg-config, as this is no more needed now.

 -- Pino Toscano <pino@debian.org>  Fri, 17 Jan 2014 22:39:03 +0100

exiv2 (0.24-1) experimental; urgency=low

  * New upstream release
    - support for Video metadata
    - more cameras and accessories now recognised
    - Numerous bugs fixes, build and test improvments
  * NEW package libexiv2-13 - match soname
  * Fix "libexiv2-doc documentation package seems to be lacking in
    content" include patch from ~dancer (Closes: #687278)
  * Update "config.{guess,sub}" --with autotools_dev (Closes: #727295, #548926)
  * Drop 00_hyphens_used_as_minus.diff - included upstream
  * Add specific +override_dh_auto_build-indep: target for doxygen build

 -- Mark Purcell <msp@debian.org>  Sun, 15 Dec 2013 11:12:34 +1100

exiv2 (0.23-1.1) unreleased; urgency=low

  * Non-maintainer upload.

