=== debian/control ===
Source: exiv2
Section: graphics
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Mark Purcell <msp@debian.org>, Fathi Boudra <fabo@debian.org>
Build-Depends: debhelper (>= 9~), chrpath,
 autotools-dev, libexpat1-dev, zlib1g-dev,
 python, xsltproc
Build-Depends-Indep:
 libjs-jquery, doxygen, graphviz,
Standards-Version: 3.9.5
Homepage: http://www.exiv2.org
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-kde/kde-extras/exiv2/trunk
Vcs-Svn: svn://anonscm.debian.org/pkg-kde/kde-extras/exiv2/trunk

Package: exiv2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 libexiv2-13 (= ${binary:Version})
Description: EXIF/IPTC metadata manipulation tool
 Exiv2 is a C++ library and a command line utility to manage image metadata.
 It provides fast and easy read and write access to the Exif, IPTC and XMP
 metadata of images in various formats
 .
 Exiv2 command line utility to:
 .
  * print Exif, IPTC and XMP image metadata in different formats: 
    - Exif summary info, interpreted values, or the plain data for each tag
  * set, add and delete Exif, IPTC and XMP image metadata from command line
    modify commands or command scripts
  * adjust the Exif timestamp (that's how it all started...)
  * rename Exif image files according to the Exif timestamp
  * extract, insert and delete Exif, IPTC and XMP metadata and JPEG comments
  * extract previews from RAW images and thumbnails from the Exif metadata
  * insert and delete the thumbnail image embedded in the Exif metadata
  * print, set and delete the JPEG comment of JPEG images
  * fix the Exif ISO setting of picture taken with Canon and Nikon cameras

Package: libexiv2-13
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: exiv2
Multi-Arch: same
Description: EXIF/IPTC metadata manipulation library
 Exiv2 is a C++ library and a command line utility to manage image metadata.
 It provides fast and easy read and write access to the Exif, IPTC and XMP
 metadata of images in various formats
 .
 Exiv2 library provides:
  * fast read and write access to the Exif, IPTC, and XMP metadata of an image
  * an easy to use and extensively documented API
  * conversions of Exif and IPTC metadata to XMP and vice versa
  * a smart IPTC implementation that does not affect data that programs like
    Photoshop store in the same image segment
  * Exif Makernote support:
    - Makernote tags can be read and written just like any other metadata
    - a sophisticated write algorithm avoids corrupting the Makernote
  * a simple interface to extract previews embedded in RAW images and Exif
    thumbnails
  * set and delete methods for Exif thumbnails

Package: libexiv2-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libexiv2-13 (= ${binary:Version}), pkg-config
Suggests: libexiv2-doc
Description: EXIF/IPTC metadata manipulation library - development files
 Exiv2 is a C++ library and a command line utility to manage image metadata.
 It provides fast and easy read and write access to the Exif, IPTC and XMP
 metadata of images in various formats
 .
 This package provides the development files for using exiv2.

Package: libexiv2-doc
Depends: ${misc:Depends}, libjs-jquery
Section: doc
Architecture: all
Description: EXIF/IPTC metadata manipulation library - HTML documentation
 Exiv2 is a C++ library and a command line utility to manage image metadata.
 It provides fast and easy read and write access to the Exif, IPTC and XMP
 metadata of images in various formats
 .
 This package provides the Exiv2 HTML documentation.

Package: libexiv2-dbg
Depends: ${misc:Depends}, libexiv2-13 (= ${binary:Version})
Section: debug
Architecture: any
Priority: extra
Multi-Arch: same
Description: EXIF/IPTC metadata manipulation library - debug
 Exiv2 is a C++ library and a command line utility to manage image metadata. It
 provides fast and easy read and write access to the Exif, IPTC and XMP metadata
 of images in various formats
 .
 This package provides the Exiv2 debug symbols.
