=== debian/changelog ===
exiv2 (0.25-4+deb10u4) buster-security; urgency=medium

  * Non-maintainer upload by the LTS Team.
  * Fix CVE-2017-11591 (Closes: #876893)
  * Fix CVE-2017-14859, CVE-2017-14862, CVE-2017-14864
  * Fix CVE-2017-17669 (Closes: #886006)
  * Fix CVE-2017-18005 (Closes: #885981)
  * Fix CVE-2018-8976 (Closes: #903813)
  * Fix CVE-2018-17581 (Closes: #910060)
  * Fix CVE-2018-19107 (Closes: #913273)
    + Also fixes CVE-2018-19108 (Closes: #913272)
  * Fix CVE-2018-19535 (Closes: #915135)
  * Fix CVE-2018-20097
  * Fix CVE-2019-13110
  * Fix CVE-2019-13112
  * Fix CVE-2019-13114
  * Fix CVE-2019-13504 (Closes: #932467)
    + Also fixes CVE-2019-14369 and CVE-2019-14370
  * Fix CVE-2019-17402 (Closes: #946341)
  * Fix CVE-2020-18771
  * Fix CVE-2021-29458 (Closes: #987277)
    + This is a more complete fix of duplicate CVE-2021-31292
  * Fix CVE-2021-32815 (Closes: #992705)
  * Fix CVE-2021-34334 (Closes: #992706)
  * Fix CVE-2021-37620
  * Fix CVE-2021-37621
  * Fix CVE-2021-37622

 -- Helmut Grohne <helmut@subdivi.de>  Tue, 10 Jan 2023 15:33:04 +0100

exiv2 (0.25-4+deb10u3) buster-security; urgency=medium

  * Non-maintainer upload by the LTS Security Team.
  * Fix CVE-2022-3756: Potentital integer overflow in QuickTime component
  * Fix CVE-2017-11683: Reachable assertion, DoS through crafted input
    (Closes: #876893)
  * Fix CVE-2020-19716: Buffer overflow, DoS

 -- Dominik George <natureshadow@debian.org>  Thu, 10 Nov 2022 13:34:36 +0100

exiv2 (0.25-4+deb10u2) buster-security; urgency=medium

  * CVE-2021-31291 (Closes: #991705)
    The fix for CVE-2021-31291 also required to backport a few patches that
    fix some (harmless) CVEs alongside:
      - CVE-2019-20421 (Closes: #950183)
      - CVE-2021-3482  (Closes: #986888)
      - CVE-2021-29457 (Closes: #987277)
      - CVE-2021-29473 (Closes: #991705)
  * CVE-2021-31292 (Closes: #991706)

 -- Moritz Mühlenhoff <jmm@debian.org>  Fri, 06 Aug 2021 11:46:33 +0200

exiv2 (0.25-4+deb10u1) buster; urgency=medium

  * Non-maintainer upload by the Security Team.
  * Minor adjustment to the patch for CVE-2018-10958 and CVE-2018-10999.  The
    initial patch was overly restrictive in counting PNG image chunks.
  * CVE-2018-16336: remote denial of service (heap-based buffer over-read) via
    a crafted image file.

 -- Roberto C. Sanchez <roberto@debian.org>  Tue, 23 Jun 2020 18:11:23 -0400

exiv2 (0.25-4) unstable; urgency=medium

  [ Roberto C. Sanchez ]
  * CVE-2018-10958: denial of service through memory exhaustion and
    application crash by a crafted PNG image.
  * CVE-2018-10999: a heap-based buffer over-read via a crafted PNG image.
  * CVE-2018-10998: denial of service through memory exhaustion and
    application crash by a crafted image.
  * CVE-2018-11531: a heap-based buffer overflow and application crash by a
    crafted image.
  * CVE-2018-12264: integer overflow leading to out of bounds read by a
    crafted image. (Closes: #901707)
  * CVE-2018-12265: integer overflow leading to out of bounds read by a
    crafted image. (Closes: #901706)

  [ Maximiliano Curia ]
  * Bump debhelper build-dep and compat to 11
  * Bump to Standards-Version 4.1.4
  * Update Vcs fields
  * Migrate to automatic dbgsym packages
  * Drop parallel and autotools_dev from dh call
  * Update watch file
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 28 Jun 2018 18:05:24 +0200

exiv2 (0.25-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * CVE-2017-9239 (Closes: #863410)

 -- Moritz Muehlenhoff <jmm@debian.org>  Mon, 05 Jun 2017 22:42:20 +0200

exiv2 (0.25-3) unstable; urgency=medium

  [ Norbert Preining ]
  * Fix crashes on Casio images files (upstream cherry pick) (Closes: #814051)
  * mention XMP in the description (Closes: #790784)

 -- Norbert Preining <preining@debian.org>  Tue, 17 May 2016 23:08:21 +0900

exiv2 (0.25-2.1) unstable; urgency=medium

  * Non-maintainer upload
  * Fix symbol files for amd64/mips64el/sparc64/sh4 (Closes: #799611).

 -- YunQiang Su <syq@debian.org>  Thu, 08 Oct 2015 14:39:02 +0800

exiv2 (0.25-2) unstable; urgency=medium

  * Update symbols files from buildds logs (0.25-1) (Closes: #794728) Thanks
    to Aaron M. Ucko.
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 06 Aug 2015 12:37:59 +0200

exiv2 (0.25-1) unstable; urgency=medium

  [ Pino Toscano ]
  * libexiv2-dev: stop again depending on pkg-config, as this is no more
    needed now (for real this time).

  [ Maximiliano Curia ]
  * New upstream release (0.25). (Closes: #789956)
  * Refresh patch: libtool_update.diff
  * Remove upstream applied patch: CVE-2014-9449.patch
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Update copyright information.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 05 Aug 2015 13:07:18 +0200
