=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 %:
-	dh $@ --parallel --with autotools_dev
+	dh $@ --parallel --with autotools_dev,pkgkde_symbolshelper
 
 override_dh_auto_configure:
 	dh_auto_configure -- --disable-rpath
@@ -14,7 +14,7 @@
 	-rm Makefile xmpsdk/src/.libs/libxmpsdk.la  # why? debuild complains of diff.
 
 override_dh_strip:
-	dh_strip -a --dbg-package=libexiv2-dbg
+	dh_strip --dbgsym-migration='libexiv2-dbg (<= 0.25-4~~)'
 
 override_dh_install:
 	# no need for libtool .la files
