## exiv2 0.25.6

=== debian/changelog ===
exiv2 (0.25.6-1) unstable; urgency=medium

  * update

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 08 Oct 2021 10:30:51 +0800

exiv2 (0.25.4-1+security) unstable; urgency=medium

  * fix CVE-2020-18771

 -- lishengyu <lishengyu@uniontech.com>  Thu, 16 Sep 2021 02:07:31 +0800

exiv2 (0.25.3-1+deb10u2) unstable; urgency=medium

  * CVE-2021-31291 (Closes: #991705)
    The fix for CVE-2021-31291 also required to backport a few patches that
    fix some (harmless) CVEs alongside:
      - CVE-2019-20421 (Closes: #950183)
      - CVE-2021-3482  (Closes: #986888)
      - CVE-2021-29457 (Closes: #987277)
      - CVE-2021-29473 (Closes: #991705)
  * CVE-2021-31292 (Closes: #991706)

 -- Moritz Mühlenhoff <jmm@debian.org>  Fri, 06 Aug 2021 11:46:33 +0200

exiv2 (0.25.2-1+security) unstable; urgency=medium

  * Returns file: debian/libexiv2-14.symbols and add file: libexiv2-14.lintian-overrides

 -- lishengyu <lishengyu@uniontech.com>  Wed, 09 Jun 2021 14:00:12 +0800

exiv2 (0.25.1-1+security) unstable; urgency=medium

  * fix CVE-2017-14864 CVE-2017-14862 CVE-2017-14859 CVE-2017-18005 CVE-2021-32617

 -- lishengyu <lishengyu@uniontech.com>  Mon, 07 Jun 2021 13:37:11 +0800

exiv2 (0.25-4+deb10u1+rebuild) buster; urgency=medium

  * Non-maintainer upload by the Security Team.
  * Minor adjustment to the patch for CVE-2018-10958 and CVE-2018-10999.  The
    initial patch was overly restrictive in counting PNG image chunks.
  * CVE-2018-16336: remote denial of service (heap-based buffer over-read) via
    a crafted image file.

 -- Roberto C. Sanchez <roberto@debian.org>  Tue, 23 Jun 2020 18:11:23 -0400
