## exiv2 0.25.8

=== debian/changelog ===
exiv2 (0.25.8-deepin1) unstable; urgency=medium

  * Non-maintainer upload by the LTS Team.
  * Fix CVE-2017-11591 (Closes: #876893)
  * Fix CVE-2017-14859, CVE-2017-14862, CVE-2017-14864
  * Fix CVE-2017-17669 (Closes: #886006)
  * Fix CVE-2017-18005 (Closes: #885981)
  * Fix CVE-2018-8976 (Closes: #903813)
  * Fix CVE-2018-17581 (Closes: #910060)
  * Fix CVE-2018-19107 (Closes: #913273)
    + Also fixes CVE-2018-19108 (Closes: #913272)
  * Fix CVE-2018-19535 (Closes: #915135)
  * Fix CVE-2018-20097
  * Fix CVE-2019-13110
  * Fix CVE-2019-13112
  * Fix CVE-2019-13114
  * Fix CVE-2019-13504 (Closes: #932467)
    + Also fixes CVE-2019-14369 and CVE-2019-14370
  * Fix CVE-2019-17402 (Closes: #946341)
  * Fix CVE-2020-18771
  * Fix CVE-2021-29458 (Closes: #987277)
    + This is a more complete fix of duplicate CVE-2021-31292
  * Fix CVE-2021-32815 (Closes: #992705)
  * Fix CVE-2021-34334 (Closes: #992706)
  * Fix CVE-2021-37620
  * Fix CVE-2021-37621
  * Fix CVE-2021-37622
  * Fix CVE-2022-3756: Potentital integer overflow in QuickTime component
  * Fix CVE-2017-11683: Reachable assertion, DoS through crafted input
    (Closes: #876893)
  * Fix CVE-2020-19716: Buffer overflow, DoS

 -- wangjia <wangjia@uniontech.com>  Wed, 11 Jan 2023 17:00:30 +0800

exiv2 (0.25.7-1+loong) unstable; urgency=medium

  * fix security error version

 -- Hu Feng <hufeng@uniontech.com>  Mon, 20 Dec 2021 20:11:41 +0800

exiv2 (0.25.6-1+dde) unstable; urgency=medium

  * fix compile error

 -- wangyouwan <wangyouwan@uniontech.com>  Tue, 23 Nov 2021 19:33:09 +0800

exiv2 (0.25.5-1+dde) unstable; urgency=medium

  * add loongarch support

 -- Wang Xiangyu <wangxiangyu@uniontech.com>  Tue, 02 Feb 2021 08:41:24 +0000
