## exiv2 0.26

=== debian/changelog ===
exiv2 (0.26-1) experimental; urgency=medium

  * Team upload.

  [ Helmut Grohne ]
  * Fix FTCBFS: Annotate python build dependency with :native (Closes:
    #843102)

  [ Maximiliano Curia ]
  * Update watch file
  * New upstream release (0.26).
  * Bump Standards-Version to 4.0.0, no changes needed.
  * Update Vcs fields
  * Migrate to automatic dbgsym packages
  * Update build-deps and deps with the info from cmake
  * Drop patch: libtool_update.diff
  * Drop upstream patches
  * Follow upstream soversion bump
  * Drop .a file
  * Disable the static xmp lib
  * Update symbols files.
  * Add libssh-gcrypt-dev missing build dep
  * Fix indep build
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Thu, 13 Jul 2017 18:56:52 +0200
