=== debian/control ===
--- 
+++ 
@@ -1,27 +1,28 @@
 Source: exiv2
 Section: graphics
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Mark Purcell <msp@debian.org>,
-           Fathi Boudra <fabo@debian.org>,
-           Maximiliano Curia <maxy@debian.org>
+Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Uploaders: Mark Purcell <msp@debian.org>, Fathi Boudra <fabo@debian.org>
 Build-Depends: autotools-dev,
                chrpath,
+               cmake,
                debhelper (>= 9~),
+               libcurl4-gnutls-dev,
                libexpat1-dev,
-               python,
+               libssh-gcrypt-dev,
+               pkg-kde-tools,
+               python:native,
                xsltproc,
-               zlib1g-dev,
-               pkg-kde-tools
+               zlib1g-dev
 Build-Depends-Indep: doxygen, graphviz, libjs-jquery
-Standards-Version: 4.1.4
+Standards-Version: 4.0.0
 Homepage: http://www.exiv2.org
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/exiv2
-Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/exiv2.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/kde-extras/exiv2.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/kde-extras/exiv2.git
 
 Package: exiv2
 Architecture: any
-Depends: libexiv2-14 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: libexiv2-26 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: EXIF/IPTC/XMP metadata manipulation tool
  Exiv2 is a C++ library and a command line utility to manage image metadata.
  It provides fast and easy read and write access to the Exif, IPTC and XMP
@@ -41,7 +42,7 @@
   * print, set and delete the JPEG comment of JPEG images
   * fix the Exif ISO setting of picture taken with Canon and Nikon cameras
 
-Package: libexiv2-14
+Package: libexiv2-26
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
@@ -69,7 +70,7 @@
 Package: libexiv2-dev
 Section: libdevel
 Architecture: any
-Depends: libexiv2-14 (= ${binary:Version}), ${misc:Depends}
+Depends: libexiv2-26 (= ${binary:Version}), ${misc:Depends}
 Suggests: libexiv2-doc
 Description: EXIF/IPTC/XMP metadata manipulation library - development files
  Exiv2 is a C++ library and a command line utility to manage image metadata.
