=== debian/rules ===
--- 
+++ 
@@ -3,10 +3,14 @@
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 %:
-	dh $@ --parallel --with autotools_dev,pkgkde_symbolshelper
+	dh $@ --parallel --with pkgkde_symbolshelper --buildsystem cmake
 
 override_dh_auto_configure:
-	dh_auto_configure -- --disable-rpath
+	dh_auto_configure -- \
+	    -DEXIV2_ENABLE_BUILD_PO=ON \
+	    -DEXIV2_ENABLE_LIBXMP=OFF \
+	    -DEXIV2_ENABLE_VIDEO=ON \
+	    -DEXIV2_ENABLE_WEBREADY=ON
 
 override_dh_clean:
 	dh_clean
@@ -14,7 +18,7 @@
 	-rm Makefile xmpsdk/src/.libs/libxmpsdk.la  # why? debuild complains of diff.
 
 override_dh_strip:
-	dh_strip --dbgsym-migration='libexiv2-dbg (<= 0.25-4~~)'
+	dh_strip --dbgsym-migration='libexiv2-dbg (<= 0.26-1~~)'
 
 override_dh_install:
 	# no need for libtool .la files
@@ -22,8 +26,9 @@
 	dh_install --list-missing
 	find $(CURDIR)/debian -type f -name exiv2 | xargs /usr/bin/chrpath -d
 
-override_dh_auto_build-indep:
-	$(MAKE) -C doc doxygen
+override_dh_auto_build-indep: build-arch
+	cd config; $(MAKE) -f config.make config
+	dh_auto_build -- doc
 
 override_dh_installdocs:
 	dh_installdocs -A -Xcmd.txt -XMakefile -Xtemplates -XChangeLog
